Package Details: qhangups 1.8.1-1

Git Clone URL: https://aur.archlinux.org/qhangups.git (read-only)
Package Base: qhangups
Description: Alternative client for Google Hangouts written in PyQt
Upstream URL: https://github.com/xmikos/qhangups
Licenses: GPL3
Submitter: Mikos
Maintainer: Mikos
Last Packager: Mikos
Votes: 13
Popularity: 0.084415
First Submitted: 2014-09-26 14:04
Last Updated: 2016-10-17 23:28

Latest Comments

miguelangellv commented on 2016-12-30 08:54

Crash:

Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 655, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 963, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 854, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (aiohttp 1.1.6 (/usr/lib/python3.5/site-packages), Requirement.parse('aiohttp<1.3,>=1.2'), {'hangups'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/qhangups", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 3015, in <module>
@_call_aside
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2999, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 3028, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 657, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 670, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 849, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'aiohttp<1.3,>=1.2' distribution was not found and is required by hangups

Mikos commented on 2016-10-17 23:31

trwnh: It has been upstream bug (Google changed auth method), I have fixed it now. New version also fixes colors on dark themes.

trwnh commented on 2016-10-15 19:49

Traceback (most recent call last):
File "/usr/lib/python3.5/site-packages/qhangups/__main__.py", line 164, in hangups_start
cookies = self.login(self.refresh_token_path)
File "/usr/lib/python3.5/site-packages/qhangups/__main__.py", line 133, in login
cookies = hangups.auth.get_auth(self.get_credentials, refresh_token_path)
File "/usr/lib/python3.5/site-packages/hangups/auth.py", line 131, in get_auth
refresh_token = refresh_token_cache.get()
AttributeError: 'str' object has no attribute 'get'
Aborted (core dumped)

Is this a problem in this specific package or an upstream bug? I just installed qhangups today and it crashes every time I click "Connect".

Stunts commented on 2016-02-19 16:23

try to install "qt5-webkit". I'd say it's what's missing.
If it is what's missing it should in fact be added to the dependencies.

aptx commented on 2016-02-19 16:18

It seems some dependency is missing. Installing on a system which I have been using for some time now is working, but on a relatively fresh install I get the error

Traceback (most recent call last):
File "/usr/bin/qhangups", line 9, in <module>
load_entry_point('QHangups==1.7.1', 'gui_scripts', 'qhangups')()
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 547, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2720, in load_entry_point
return ep.load()
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2380, in load
return self.resolve()
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2386, in resolve
module = __import__(self.module_name, fromlist=['__name__'], level=0)
File "/usr/lib/python3.5/site-packages/qhangups/__main__.py", line 24, in <module>
from qhangups.conversations import QHangupsConversations
File "/usr/lib/python3.5/site-packages/qhangups/conversations.py", line 3, in <module>
from qhangups.conversationwidget import QHangupsConversationWidget
File "/usr/lib/python3.5/site-packages/qhangups/conversationwidget.py", line 3, in <module>
from PyQt5 import QtCore, QtGui, QtWidgets, QtWebKitWidgets
ImportError: libQt5WebKitWidgets.so.5: cannot open shared object file: No such file or directory

Theredbaron1834 commented on 2015-11-30 00:38

Hm, I updated before I installed. Weird, whatever, it works now. Thanks Mikos.

Mikos commented on 2015-11-29 20:36

Theredbaron1834: You need latest python-urwid 1.3.1 (for latest hangups-git to work). Just run `pacman -Syu` and QHangups should start to work.

Theredbaron1834 commented on 2015-11-29 08:57

Crashes on startup with http://pastebin.com/tefgZGVK. Anybody have any idea as to why? Or have to fix?

Mikos commented on 2015-11-02 18:52

Update to latest version 1.7.0. QHangups is now PyQt 5 based and compatible with latest Hangups (this fixes problem that sysninja had). Also now you can read older history of messages just by scrolling to top.

sysninja commented on 2015-10-13 13:19

I can't connect. Does anyone have this kind of problem?

File "/usr/lib/python3.5/site-packages/hangups/channel.py", line 343, in _longpoll_request
yield from self._on_push_data(chunk)
File "/usr/lib/python3.5/site-packages/hangups/channel.py", line 364, in _on_push_data
yield from self.on_connect.fire()
File "/usr/lib/python3.5/site-packages/hangups/event.py", line 50, in fire
yield from gen
File "/usr/lib/python3.5/site-packages/hangups/event.py", line 48, in fire
gen = observer(*args, **kwargs)
TypeError: on_connect() missing 1 required positional argument: 'initial_data'


This is from hangups.log.

All comments